Skip to navigation

Update client application

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

clientApplicationIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
clientNamestringOptionalformat: "^(?!\s*$).+"1-500 characters
The name of the client. Must be unique.
applicationNamestringOptionalformat: "^(?!\s*$).+"1-500 characters
The name of the application. Must be unique.
deliveryUrlstringOptionalformat: "uri"<=500 characters
The URL where the application will receive file delivery notifications.
maxFileSizeInBytesinteger or nullOptional1-2147483648
Maximum file size in bytes. Must be between 1 and 2147483648. Set to null for no limit.

Response

Default Response
clientApplicationIdstringOptionalformat: "uuid"
applicationIdstringOptionalformat: "uuid"
applicationNamestringOptional<=500 characters
clientIdstringOptionalformat: "uuid"
clientNamestringOptional<=500 characters
dropFolderIdstringOptionalformat: "uuid"
uploadFolderIdstringOptionalformat: "uuid"
internalFolderIdstringOptionalformat: "uuid"
deliveryUrlstringOptional
maxFileSizeInBytesinteger or nullOptional1-2147483648

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error